light-mode-image
Learn
Users

API Reference

Create a User

POST/v1/users

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Create a User

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/users" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "claims": {},  "authenticationProvider": {    "providerId": "string",    "url": "string",    "subjectId": "string"  }}

Retrieve all Users

GET/v1/users

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/users"
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "claims": {},      "authenticationProvider": {        "providerId": "string",        "url": "string",        "subjectId": "string"      }    }  ]}

Retrieve a User

GET/v1/users/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "claims": {},  "authenticationProvider": {    "providerId": "string",    "url": "string",    "subjectId": "string"  }}

Update a User

PUT/v1/users/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Formatuuid

Request Body

application/json

Update a User

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "claims": {},  "authenticationProvider": {    "providerId": "string",    "url": "string",    "subjectId": "string"  }}

Delete a User

DELETE/v1/users/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

Search Users

POST/v1/users/search

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The search criteria

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/users/search" \  -H "Content-Type: application/json" \  -d '{}'
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "claims": {},      "authenticationProvider": {        "providerId": "string",        "url": "string",        "subjectId": "string"      }    }  ]}

Retrieve User credentials Data

GET/v1/users/{userId}/credentials

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

User ID

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"
{  "data": [    {      "id": "string",      "type": "string",      "profile": "mobile",      "offerId": "string",      "sessionId": "string",      "credentialConfigurationId": "string",      "devicePublicKey": {        "kty": "string",        "crv": "string",        "x": "string"      },      "namespaces": {},      "msoHash": "string",      "issuedDate": "2019-08-24T14:15:22Z",      "validFrom": "2019-08-24T14:15:22Z",      "validUntil": "2019-08-24T14:15:22Z",      "status": "valid"    }  ],  "nextCursor": "string"}

How would you rate this page?

Last updated on

On this page